.Synoptic {
  width: 100%;
  height: 100%;
  position: absolute;
  display: grid;
  grid-template-rows: 3em auto;
  grid-template-columns: auto 20em;
  font-family: Helvetica, Arial, sans-serif;
}

.Synoptic .SynopticDisplay {
  grid-row: 2;
  grid-column: 1/-1;
  overflow: auto;
  position: relative;
  width: 100%;
  height: 100%;
}

.Synoptic .Canvas.edit {
  width: 100%;
  height: 100%;
  outline: none;
  user-select: none;
}

.Synoptic .Canvas.edit .grid {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url(../../../dashboard/components/EditCanvas/grid.png);
  background-position-x: -1px;
  background-position-y: -1px;
  overflow: auto;
}

.Synoptic .Canvas.edit .Widget {
  cursor: pointer;
}

.Synoptic .Canvas.edit .Widget.selected {
  cursor: grab;
  box-sizing: border-box;
}

.Synoptic .Navbar {
  grid-row: 1;
  grid-column: -1 / 1;
}

.Synoptic .Sidebar {
  padding: 0.75em;
  user-select: none;
  grid-row: 2;
  grid-column: 2;
  z-index: 99999;
  overflow-y: auto;
  border-left: 1px solid #ddd;
  background: white;
}
.Synoptic .leftSidebar {
  width: 18em;
  position: absolute;
  left: 0.5em;
  top: 3.5em;
  box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.3);
  padding: 0.75em;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  overflow-y: auto;
  z-index: 99999;
  padding: 0;
  max-height: calc(100vh - 3.5em);
}

.Synoptic .Sidebar h1 {
  font-size: 1em;
  font-weight: bold;
  color: #999;
  margin-bottom: 1em;
  border-bottom: 1px solid #ddd;
}

.Synoptic .Library .LibraryWidget {
  margin-bottom: 1em;
  overflow: hidden;
  border: 1px solid #e8e8e8;
  border-radius: 0.5em;
  box-shadow: rgba(0, 0, 0, 0.05) 0 0.1em 0.3em 0;
  transition: transform 0.1s, box-shadow 0.1s;
}

.Synoptic .Library .LibraryWidget:hover {
  transform: scale(1.025);
  box-shadow: rgba(0, 0, 0, 0.02) 0 0.4em 0.2em;
}

.Placeholder {
  width: 15em;
  text-align: center;
  background-color: rgba(0, 0, 0, 0.075);
  border-radius: 1em;
  padding: 0.5em;
  color: gray;
  transition: opacity 0.1s linear;
  margin: auto;
  position: absolute;
  top: 20%;
  right: 50%;
  z-index: 1;
}
.Synoptic .LogInOut {
  box-shadow: unset;
  background-color: unset;
}
.Synoptic .Inspector {
  padding: 0.5em;
  margin: 0em;
  background: rgba(255, 255, 255, 0.9);
}
.Synoptic .Inspector-collapsed {
  cursor: pointer;
  padding: 0em 0.5em;
  background-color: #28a745;
  opacity: 0.5;
  display: inline-block;
  border-radius: 0.2em;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  color: white;
  border: 1px solid #1d9238;
  transition: opacity 0.5s ease;
}
.Synoptic .Inspector-collapsed:hover {
  opacity: 1;
}

.Synoptic .Library-collapsed {
  cursor: pointer;
  padding: 0em 0.5em;
  margin: -0.2em;
  background-color: #28a745;
  opacity: 0.5;
  border-radius: 0.2em;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  color: white;
  border: 1px solid #1d9238;
  transition: opacity 0.5s ease;
}
.Synoptic .Library-collapsed:hover {
  opacity: 1;
}
.Synoptic .Inspector table td {
  padding-top: 0.25em;
  padding-bottom: 0.25em;
}
.Synoptic .expand-library {
  position: absolute;
  top: 4em;
  right: 0.2em;
  z-index: 99999;
}

.Synoptic .expand-inspector {
  position: absolute;
  top: 3.8em;
  left: 0;
  z-index: 99999;
}

.Synoptic .Inspector .ComplexInput {
  padding: 0.5em;
  border-radius: 0.25em;
  margin-bottom: 0.5em;
  position: relative;
}

.Synoptic .Inspector .AttributeSelect input::placeholder,
.Synoptic .Inspector .AttributeSelect select:disabled,
.Synoptic .Inspector .CommandSelect input::placeholder,
.Synoptic .Inspector .CommandSelect select:disabled {
  color: #888;
}

.Synoptic .Inspector .AttributeSelect select:disabled,
.Synoptic .Inspector .CommandSelect select:disabled {
  background-color: white;
  opacity: 0.5;
}

.Synoptic .WarningBadge {
  transition: opacity 0.1s linear;
}

.InspectorWidgetName {
  font-weight: bold;
  color: #666;
}

.btn-outline-secondary[disabled] {
  cursor: not-allowed;
}

/* Modal CSS */

.config-content {
  margin: 0px -15px;
  min-height: 260px;
  overflow: auto;
}

.modal-content-row {
  padding: 10px 0px;
}

.has-search .form-control {
  padding-left: 2.375rem;
}

.has-search .form-control-search {
  position: absolute;
  z-index: 2;
  display: block;
  width: 2.375rem;
  height: 2.375rem;
  line-height: 2.375rem;
  text-align: center;
  pointer-events: none;
  color: #aaa;
}

@keyframes FadeAnimation {
  0% {
    opacity: 1;
    visibility: visible;
  }
  100% {
    opacity: 0;
    visibility: hidden;
  }
}

.alert-animate {
  animation: FadeAnimation 5s ease-in 0.1s forwards;
}

.form-label,
.label-input {
  font-size: 14px;
  margin-bottom: 0px;
}

.header-row {
  border-top: 1px solid rgb(222, 226, 230);
  padding: 10px 0px;
}

.label-div {
  font-size: 14px;
}

.label-div:focus {
  border: 1px solid #80bdff !important;
  box-shadow: 0 0 0 0.2rem rgb(0 123 255 / 25%);
}
/* Modal CSS End */

.Synoptic .text-box {
  height: 2em;
}

.Synoptic .select-box {
  height: 2em;
}

.btn-synoptic {
  height: 2em;
}

/* Widget CSS */
.widget-wrapper {
  height: 100%;
  width: 100%;
}

.widget-wrapper .widget-header {
  height: 8%;
  background-color: lightgrey;
  cursor: move;
}

.widget-container {
  overflow: hidden;
  width: inherit;
  background-color: white;
  pointer-events: none;
}
.widget-hovered {
  border: 2px dashed lightskyblue;
}

/* command array */
.dropdown {
  padding: 0px;
  border-top-right-radius: 0px;
  border-bottom-right-radius: 0px;
}

.dropdown > .dropdown-toggle {
  border-top-right-radius: 0px;
  border-bottom-right-radius: 0px;
}

/* Widget CSS End */
